Bug 1671610 - [Diamanti]Programming the VF MAC address fails without updated FW [NEEDINFO]
Summary: [Diamanti]Programming the VF MAC address fails without updated FW
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: linux-firmware
Version: 7.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 7.7
Assignee: Bruno Meneguele
QA Contact: Network QE
URL:
Whiteboard:
Depends On:
Blocks: 1707454 1576065 1658834 1683387
TreeView+ depends on / blocked
 
Reported: 2019-02-01 04:38 UTC by Arjun V
Modified: 2019-08-06 13:01 UTC (History)
10 users (show)

Fixed In Version: linux-firmware-20190225-70.git80dee31.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1683387 (view as bug list)
Environment:
Last Closed: 2019-08-06 13:00:52 UTC
Target Upstream Version:
kzhang: needinfo? (vpottem)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2169 0 None None None 2019-08-06 13:01:20 UTC

Description Arjun V 2019-02-01 04:38:02 UTC
Description of problem:
Using FW version less than 1.22.9.0 will result in errors while doing VF mac address programming.

Version-Release number of selected component (if applicable):
Any RHEL7 distro with T5/T6 FW version <1.22.9.0


Steps to Reproduce:
1.Assign 16 VFS per VF
2. Bring up VF interface
3. Try programming mac address for interface. Observe that it retunrs
"Cannot allocate memory"


The below FW commit for FW 1.22.9.0 will resolve the issue. It needs to be considered for z stream as well.

commit 80dee3102fe05ec44afe281818259160df3117c5
Author: Arjun Vynipadath <arjun@chelsio.com>
Date:   Sat Dec 22 21:30:41 2018 +0530

    cxgb4: update firmware to revision 1.22.9.0
    
    Signed-off-by: Arjun Vynipadath <arjun@chelsio.com>

Comment 3 Gary Case 2019-02-13 20:27:34 UTC
Hi Arjun,

Could we get you or Venkatesh to agree to test this bug if we're able to accept it? I've set OtherQA in the hopes that you can.

Comment 5 Venkatesh 2019-02-21 12:26:01 UTC
(In reply to Gary Case from comment #3)
> Hi Arjun,
> 
> Could we get you or Venkatesh to agree to test this bug if we're able to
> accept it? I've set OtherQA in the hopes that you can.

Yes, Gary.

Also, this needs to go into RHEL7.6 z-stream.

Comment 6 Takuma Umeya 2019-02-22 22:16:50 UTC
QE, this is OtherQA. Can you provide ack please?

Comment 7 Zhang Kexin 2019-02-25 05:38:27 UTC
qa_ack+ set.

Comment 11 Zhang Kexin 2019-06-25 05:34:35 UTC
Hi,
Could you please provide test result? Thanks.

Comment 12 Fei Liu 2019-07-25 06:23:13 UTC
As https://bugzilla.redhat.com/show_bug.cgi?id=1683387#c2  SanityOnly.
Verified  on linux-firmware-20190225-70.git80dee31.el7.

Checking RPM content 
-rw-r--r--. 1 root root 179202 Feb 26 09:03 aq1202_fw.cld
-rw-r--r--. 1 root root 208900 Feb 26 09:03 bcm8483.bin
-rw-r--r--. 1 root root 539648 Feb 26 09:03 t4fw-1.14.4.0.bin
-rw-r--r--. 1 root root 541184 Feb 26 09:03 t4fw-1.15.37.0.bin
-rw-r--r--. 1 root root 565248 Feb 26 09:03 t4fw-1.22.9.0.bin
lrwxrwxrwx. 1 root root     17 Jul 25 01:54 t4fw.bin -> t4fw-1.22.9.0.bin
-rw-r--r--. 1 root root 593920 Feb 26 09:03 t5fw-1.14.4.0.bin
-rw-r--r--. 1 root root 596992 Feb 26 09:03 t5fw-1.15.37.0.bin
-rw-r--r--. 1 root root 652800 Feb 26 09:03 t5fw-1.22.9.0.bin
lrwxrwxrwx. 1 root root     17 Jul 25 01:54 t5fw.bin -> t5fw-1.22.9.0.bin
-rw-r--r--. 1 root root 703488 Feb 26 09:03 t6fw-1.22.9.0.bin
lrwxrwxrwx. 1 root root     17 Jul 25 01:54 t6fw.bin -> t6fw-1.22.9.0.bin

Comment 14 errata-xmlrpc 2019-08-06 13:00:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2169


Note You need to log in before you can comment on or make changes to this bug.